Relesys API Docs

v1.3

https://api.relesystest.net/api/v1.3

Views

List
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesystest.net/api/v1.3/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"4dff2578-4233-4a5a-8fe9-6fbdfbbe46a9","userId":"43965dd3-8994-49c8-a787-3736925adfe3","userUrl":null,"dateSwiped":"2026-04-14T12:32:28.0126775+00:00","dateViewed":"2026-04-14T12:32:28.0126775+00:00"},{"id":"01a3af49-22c1-420d-9a63-0c97237f130b","userId":"a07971e8-d107-4bdd-b23a-9b4ecee7a285","userUrl":null,"dateSwiped":null,"dateViewed":"2026-04-15T12:32:28.0126775+00:00"}]}
object
  count integer      
  data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string